## phonon-backend-vlc 0.2.0

=== CMakeLists.txt ===
project(Phonon)

cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)

# CMP0002: we have multiple targets with the same name for the unit tests
cmake_policy(SET CMP0002 OLD)

# enable unit tests
option(PHONON_BUILD_TESTS "Build the tests")
option(PHONON_BUILD_EXAMPLES "Build the examples")

if (PHONON_BUILD_TESTS)
    enable_testing()
endif (PHONON_BUILD_TESTS)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

include(PhononMacros)

include(MacroLogFeature)
include(MacroOptionalFindPackage)

# Qt4
set(QT_MIN_VERSION 4.4.0)
find_package(Qt4 REQUIRED)
if (NOT QT_QTDBUS_FOUND)
   message(STATUS "Warning: Phonon won't be compiled with DBus support.")
endif(NOT QT_QTDBUS_FOUND)

# Automoc
find_package(Automoc4 REQUIRED)
include (CheckCXXCompilerFlag)
include (MacroEnsureVersion)

if (NOT AUTOMOC4_VERSION)
   set(AUTOMOC4_VERSION "0.9.83")
endif (NOT AUTOMOC4_VERSION)
macro_ensure_version("0.9.86" "${AUTOMOC4_VERSION}" _automoc4_version_ok)
if (NOT _automoc4_version_ok)
   message(FATAL_ERROR "Your version of automoc4 is too old. You have ${AUTOMOC4_VERSION}, you need at least 0.9.86")
endif (NOT _automoc4_version_ok)

# Phonon
find_package(Phonon REQUIRED)
if(PHONON_PULSESUPPORT)
  add_definitions(-DPHONON_PULSESUPPORT)
endif(PHONON_PULSESUPPORT)

# libVLC
find_package(LIBVLC REQUIRED)

if (CMAKE_COMPILER_IS_GNUCXX)
   set (KDE4_ENABLE_EXCEPTIONS -fexceptions)
   # Select flags.
   set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -g")
   set(CMAKE_CXX_FLAGS_RELEASE        "-O2 -DNDEBUG -DQT_NO_DEBUG")
   set(CMAKE_CXX_FLAGS_DEBUG          "-g -O2 -fno-reorder-blocks -fno-schedule-insns -fno-inline")
   set(CMAKE_CXX_FLAGS_DEBUGFULL      "-g3 -fno-inline")
   set(CMAKE_CXX_FLAGS_PROFILE        "-g3 -fno-inline -ftest-coverage -fprofile-arcs")
   set(CMAKE_C_FLAGS_RELWITHDEBINFO   "-O2 -g")
   set(CMAKE_C_FLAGS_RELEASE          "-O2 -DNDEBUG -DQT_NO_DEBUG")
   set(CMAKE_C_FLAGS_DEBUG            "-g -O2 -fno-reorder-blocks -fno-schedule-insns -fno-inline")
   set(CMAKE_C_FLAGS_DEBUGFULL        "-g3 -fno-inline")
   set(CMAKE_C_FLAGS_PROFILE          "-g3 -fno-inline -ftest-coverage -fprofile-arcs")

   if (CMAKE_SYSTEM_NAME MATCHES Linux)
     set ( CMAKE_C_FLAGS     "${CMAKE_C_FLAGS} -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common")
     set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -fno-check-new -fno-common")
     add_definitions (-D_BSD_SOURCE)
   endif (CMAKE_SYSTEM_NAME MATCHES Linux)

   # gcc under Windows
   if (MINGW)
      set (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--export-all-symbols -Wl,--disable-auto-import")
      set (CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--export-all-symbols -Wl,--disable-auto-import")

      # we always link against the release version of QT with mingw
      # (even for debug builds). So we need to define QT_NO_DEBUG
      # or else QPluginLoader rejects plugins because it thinks
      # they're built against the wrong QT.
      add_definitions(-DQT_NO_DEBUG)
   endif (MINGW)

   check_cxx_compiler_flag(-fPIE HAVE_FPIE_SUPPORT)
   if(KDE4_ENABLE_FPIE)
       if(HAVE_FPIE_SUPPORT)
        set (KDE4_CXX_FPIE_FLAGS "-fPIE")
        set (KDE4_PIE_LDFLAGS "-pie")
       else(HAVE_FPIE_SUPPORT)
        message(STATUS "Your compiler doesn't support PIE flag")
       endif(HAVE_FPIE_SUPPORT)
   endif(KDE4_ENABLE_FPIE)

   check_cxx_compiler_flag(-Woverloaded-virtual __KDE_HAVE_W_OVERLOADED_VIRTUAL)
   if(__KDE_HAVE_W_OVERLOADED_VIRTUAL)
       set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Woverloaded-virtual")
   endif(__KDE_HAVE_W_OVERLOADED_VIRTUAL)

   # visibility support
   check_cxx_compiler_flag(-fvisibility=hidden __KDE_HAVE_GCC_VISIBILITY)
   set( __KDE_HAVE_GCC_VISIBILITY ${__KDE_HAVE_GCC_VISIBILITY} CACHE BOOL "GCC support for hidden visibility")

   # get the gcc version
   exec_program(${CMAKE_C_COMPILER} ARGS ${CMAKE_C_COMPILER_ARG1} --version OUTPUT_VARIABLE _gcc_version_info)

   string (REGEX MATCH "[345]\\.[0-9]\\.[0-9]" _gcc_version "${_gcc_version_info}")
   # gcc on mac just reports: "gcc (GCC) 3.3 20030304 ..." without the patch level, handle this here:
   if (NOT _gcc_version)
      string (REGEX REPLACE ".*\\(GCC\\).* ([34]\\.[0-9]) .*" "\\1.0" _gcc_version "${_gcc_version_info}")
   endif (NOT _gcc_version)

   macro_ensure_version("4.1.0" "${_gcc_version}" GCC_IS_NEWER_THAN_4_1)
   macro_ensure_version("4.2.0" "${_gcc_version}" GCC_IS_NEWER_THAN_4_2)
   macro_ensure_version("4.3.0" "${_gcc_version}" GCC_IS_NEWER_THAN_4_3)

   # save a little by making local statics not threadsafe
   # ### do not enable it for older compilers, see
   # ### http://gcc.gnu.org/bugzilla/show_bug.cgi?id=31806
   if (GCC_IS_NEWER_THAN_4_3)
       set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-threadsafe-statics")
   endif (GCC_IS_NEWER_THAN_4_3)

   set(_GCC_COMPILED_WITH_BAD_ALLOCATOR FALSE)
   if (GCC_IS_NEWER_THAN_4_1)
      exec_program(${CMAKE_C_COMPILER} ARGS -v OUTPUT_VARIABLE _gcc_alloc_info)
      string(REGEX MATCH "(--enable-libstdcxx-allocator=mt)" _GCC_COMPILED_WITH_BAD_ALLOCATOR "${_gcc_alloc_info}")
   endif (GCC_IS_NEWER_THAN_4_1)


   if (__KDE_HAVE_GCC_VISIBILITY AND GCC_IS_NEWER_THAN_4_1 AND NOT _GCC_COMPILED_WITH_BAD_ALLOCATOR AND NOT WIN32)
      set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
      set (KDE4_C_FLAGS "-fvisibility=hidden")
      # check that Qt defines Q_DECL_EXPORT as __attribute__ ((visibility("default")))
      # if it doesn't and KDE compiles with hidden default visibiltiy plugins will break
      set(_source "#include <QtCore/QtGlobal>\n int main()\n {\n #ifdef QT_VISIBILITY_AVAILABLE \n return 0;\n #else \n return 1; \n #endif \n }\n")
      set(_source_file ${CMAKE_BINARY_DIR}/CMakeTmp/check_qt_visibility.cpp)
      file(WRITE "${_source_file}" "${_source}")
      set(_include_dirs "-DINCLUDE_DIRECTORIES:STRING=${QT_INCLUDES}")

      try_run(_run_result _compile_result ${CMAKE_BINARY_DIR} ${_source_file} CMAKE_FLAGS "${_include_dirs}")

      if(NOT _compile_result)
         message(FATAL_ERROR "Could not compile simple test program:\n ${_source}")
      endif(NOT _compile_result)
      if(_run_result)
         message(FATAL_ERROR "Qt compiled without support for -fvisibility=hidden. This will break plugins and linking of some applications. Please fix your Qt installation.")
      endif(_run_result)

      if (GCC_IS_NEWER_THAN_4_2)
          set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
      endif (GCC_IS_NEWER_THAN_4_2)
   else (__KDE_HAVE_GCC_VISIBILITY AND GCC_IS_NEWER_THAN_4_1 AND NOT _GCC_COMPILED_WITH_BAD_ALLOCATOR  AND NOT WIN32)
      set (__KDE_HAVE_GCC_VISIBILITY 0)
   endif (__KDE_HAVE_GCC_VISIBILITY AND GCC_IS_NEWER_THAN_4_1 AND NOT _GCC_COMPILED_WITH_BAD_ALLOCATOR  AND NOT WIN32)

endif (CMAKE_COMPILER_IS_GNUCXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)
set(CMAKE_COLOR_MAKEFILE ON)

set(PHONON_LIB_MAJOR_VERSION "4")
set(PHONON_LIB_MINOR_VERSION "3")
set(PHONON_LIB_PATCH_VERSION "50")
set(PHONON_LIB_VERSION "${PHONON_LIB_MAJOR_VERSION}.4.0")
set(PHONON_LIB_SOVERSION ${PHONON_LIB_MAJOR_VERSION})

add_definitions(${QT_DEFINITIONS})
remove_definitions(-DQT3_SUPPORT_WARNINGS -DQT3_SUPPORT)
if(MSVC)
  add_definitions( -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE -D_SCL_SECURE_NO_WARNINGS -DQT_NO_DEBUG)
  remove_definitions(-DQT_DEBUG)
endif(MSVC)

# for including config.h and for includes like <kparts/foo.h>
include_directories(${QT_INCLUDES} ${PHONON_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/includes ${CMAKE_CURRENT_SOURCE_DIR}/phonon ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR}/phonon)

macro(_SET_FANCY _var _value _comment)
   if (KDESupport_SOURCE_DIR)
      # when building inside kdesupport other subprojects write crap into our variables
      set(${_var} "${_value}")
   else (KDESupport_SOURCE_DIR)
      if (NOT DEFINED ${_var})
         set(${_var} "${_value}")
      else (NOT DEFINED ${_var})
         set(${_var} "${${_var}}" CACHE PATH "${_comment}")
      endif (NOT DEFINED ${_var})
   endif (KDESupport_SOURCE_DIR)
endmacro(_SET_FANCY)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )

_set_fancy(EXEC_INSTALL_PREFIX         "${CMAKE_INSTALL_PREFIX}"                   "Base directory for executables and libraries")
_set_fancy(SHARE_INSTALL_PREFIX        "${CMAKE_INSTALL_PREFIX}/share"             "Base directory for files which go to share/")
_set_fancy(BIN_INSTALL_DIR             "${EXEC_INSTALL_PREFIX}/bin"                "The install dir for executables (default ${EXEC_INSTALL_PREFIX}/bin)")
_set_fancy(LIB_INSTALL_DIR             "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}"   "The subdirectory relative to the install prefix where libraries will be installed (default is ${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX})")
_set_fancy(INCLUDE_INSTALL_DIR         "${CMAKE_INSTALL_PREFIX}/include"           "The subdirectory to the header prefix")
_set_fancy(PLUGIN_INSTALL_DIR          "${LIB_INSTALL_DIR}/kde4"                   "The subdirectory relative to the install prefix where plugins will be installed (default is ${LIB_INSTALL_DIR}/kde4)")
_set_fancy(ICON_INSTALL_DIR            "${SHARE_INSTALL_PREFIX}/icons"             "The icon install dir (default ${SHARE_INSTALL_PREFIX}/share/icons/)")
_set_fancy(SERVICES_INSTALL_DIR        "${SHARE_INSTALL_PREFIX}/kde4/services"     "The install dir for service (desktop, protocol, ...) files")
_set_fancy(DBUS_INTERFACES_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/dbus-1/interfaces" "The dbus interfaces install dir (default: ${SHARE_INSTALL_PREFIX}/dbus-1/interfaces)")
_set_fancy(DBUS_SERVICES_INSTALL_DIR   "${SHARE_INSTALL_PREFIX}/dbus-1/services"   "The dbus services install dir (default: ${SHARE_INSTALL_PREFIX}/dbus-1/services)")

set(INSTALL_TARGETS_DEFAULT_ARGS  RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
                                  LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                                  ARCHIVE DESTINATION "${LIB_INSTALL_DIR}" COMPONENT Devel )

add_definitions(-DPHONON_LIB_INSTALL_DIR="${LIB_INSTALL_DIR}")
# on the Mac support an extra install directory for application bundles
if(APPLE)
   set(INSTALL_TARGETS_DEFAULT_ARGS  ${INSTALL_TARGETS_DEFAULT_ARGS}
                                     BUNDLE DESTINATION "${BUNDLE_INSTALL_DIR}" )
	set(CMAKE_SHARED_MODULE_CREATE_C_FLAGS   "${CMAKE_SHARED_MODULE_CREATE_C_FLAGS}   -flat_namespace -undefined dynamic_lookup")
	set(CMAKE_SHARED_MODULE_CREATE_CXX_FLAGS "${CMAKE_SHARED_MODULE_CREATE_CXX_FLAGS} -flat_namespace -undefined dynamic_lookup")
endif(APPLE)

if (CMAKE_SYSTEM_NAME MATCHES Linux)
   if (CMAKE_COMPILER_IS_GNUCXX)
      set ( CMAKE_SHARED_LINKER_FLAGS "-Wl,--fatal-warnings -Wl,--no-undefined -lc ${CMAKE_SHARED_LINKER_FLAGS}")
      set ( CMAKE_MODULE_LINKER_FLAGS "-Wl,--fatal-warnings -Wl,--no-undefined -lc ${CMAKE_MODULE_LINKER_FLAGS}")

      set ( CMAKE_SHARED_LINKER_FLAGS "-Wl,--enable-new-dtags ${CMAKE_SHARED_LINKER_FLAGS}")
      set ( CMAKE_MODULE_LINKER_FLAGS "-Wl,--enable-new-dtags ${CMAKE_MODULE_LINKER_FLAGS}")
      set ( CMAKE_EXE_LINKER_FLAGS "-Wl,--enable-new-dtags ${CMAKE_EXE_LINKER_FLAGS}")

      # we profile...
      if(CMAKE_BUILD_TYPE_TOLOWER MATCHES profile)
        set (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -fprofile-arcs -ftest-coverage")
        set (CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -fprofile-arcs -ftest-coverage")
      endif(CMAKE_BUILD_TYPE_TOLOWER MATCHES profile)
   endif (CMAKE_COMPILER_IS_GNUCXX)
   if (CMAKE_C_COMPILER MATCHES "icc")

=== vlc/CMakeLists.txt ===
project(phonon-vlc)
include_directories(${QT_INCLUDES}
                    ${LIBVLC_INCLUDE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR})
                    
if (MSVC)
    set (CMAKE_MODULE_PATH ${CMAKE_INSTALL_PREFIX}/share/apps/cmake/modules)
    find_package(KDEWIN)
	if (KDEWIN_FOUND)
		include_directories(${KDEWIN_INCLUDES}/msvc)
		link_libraries(${KDEWIN_LIBRARIES})
	else (KDEWIN_FOUND)
		include(CheckIncludeFileCXX)
		check_include_file_cxx(inttypes.h HAVE_INTTYPES)
		check_include_file_cxx(stdint.h   HAVE_STDINT)
		if ( NOT HAVE_STDINT AND NOT HAVE_INTTYPES )
			message (FATAL_ERROR  "You don't have stdint.h and inttypes.h\n\t get them from  http://code.google.com/p/baseutils/source/browse/#svn/trunk/msvc,\n\t or get kdewin http://websvn.kde.org/trunk/kdesupport/kdewin/")
		endif ( NOT HAVE_STDINT AND NOT HAVE_INTTYPES )
	endif (KDEWIN_FOUND)
endif (MSVC)

add_definitions(-D_PHONON_BACKEND_VERSION_4_2)

set(phonon_vlc_SRCS
    audiooutput.cpp
    audiodataoutput.cpp
    backend.cpp
    devicemanager.cpp
    effect.cpp
    effectmanager.cpp
    mediacontroller.cpp
    mediaobject.cpp
    seekstack.cpp
    sinknode.cpp
    streamhooks.cpp
    streamreader.cpp
    #    videodataoutput.cpp
    videowidget.cpp
    vlcloader.cpp
    vlcmediacontroller.cpp
    vlcmediaobject.cpp
    vlcvideowidget.cpp
    widgetnopaintevent.cpp)

automoc4(phonon_vlc phonon_vlc_SRCS)
add_library(phonon_vlc MODULE ${phonon_vlc_SRCS})

set_target_properties(phonon_vlc PROPERTIES PREFIX "")
target_link_libraries(phonon_vlc ${PHONON_LIBS} ${LIBVLC_LIBRARY}
    ${LIBVLCCORE_LIBRARY} )


if(WIN32)
    install(TARGETS phonon_vlc DESTINATION bin/phonon_backend)
else(WIN32)
    install(TARGETS phonon_vlc DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/phonon_backend)
endif(WIN32)
install(FILES vlc.desktop DESTINATION ${SERVICES_INSTALL_DIR}/phononbackends)

if(BUILD_TESTS)
    add_subdirectory(tests)
endif(BUILD_TESTS)

=== debian/changelog ===
phonon-backend-vlc (0.2.0-2) unstable; urgency=medium

  * Add myself to Uploaders.
  * Make phonon-backend-vlc depend on vlc-nox. (Closes: #609103)
  * Add disable_usr_lib_install_rpath.diff patch to disable /usr/lib RPATH.
    (fixes binary-or-shlib-defines-rpath lintian error which is rejected by
    ftp-master)
  * Urgency=medium, multiple RC problems fixed.

 -- Modestas Vainius <modax@debian.org>  Thu, 06 Jan 2011 17:37:19 +0200

phonon-backend-vlc (0.2.0-1) unstable; urgency=low

  * New upstream release:
    - add missing ogg vorbis mimetype (Closes: #589610).
  * Upload to Sid.

 -- Fathi Boudra <fabo@debian.org>  Sat, 24 Jul 2010 21:00:35 +0300

phonon-backend-vlc (0.0.1~git1+1b1ce593-1) experimental; urgency=low

  * Initial release. (Closes: #587619)

 -- Fathi Boudra <fabo@debian.org>  Wed, 30 Jun 2010 13:08:34 +0300

=== debian/control ===
Source: phonon-backend-vlc
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.5), automoc,
 pkg-config, libphonon-dev (>= 4:4.6.0), libqt4-dev (>= 4:4.6.0),
 libvlc-dev (>= 1.1.0)
Standards-Version: 3.9.0
Homepage: http://gitorious.org/phonon/phonon-vlc
Vcs-Git: git://git.debian.org/pkg-kde/phonon-backend-vlc.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/phonon-backend-vlc.git;a=summary

Package: phonon-backend-vlc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vlc-nox
Provides: phonon-backend
Description: Phonon VLC backend
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains VLC backend for Phonon.

Package: phonon-backend-vlc-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
 phonon-backend-vlc (= ${binary:Version})
Description: Phonon VLC backend debugging symbols
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the debugging symbols for the VLC Phonon backend.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --dbg-package=phonon-backend-vlc-dbg --list-missing --with kde

## phonon-backend-vlc 0.3.2

=== debian/changelog ===
phonon-backend-vlc (0.3.2-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Jan 2011 12:39:17 +0000

phonon-backend-vlc (0.3.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Dec 2010 11:37:16 +0000

phonon-backend-vlc (0.2.0-1ubuntu1) maverick; urgency=low

  * Merge with Debian Unstable, remaining change:
    - Add dependency on vlc

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 27 Jul 2010 07:52:32 -0400

phonon-backend-vlc (0.0.1~git1+1b1ce593-1ubuntu1) maverick; urgency=low

  * Add dependency on vlc

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Jul 2010 09:44:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: phonon-backend-vlc
 Section: sound
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.5), automoc,
- pkg-config, libphonon-dev (>= 4:4.6.0), libqt4-dev (>= 4:4.6.0),
+ pkg-config, libphonon-dev (>= 4:4.7.0really4.4.4), libqt4-dev (>= 4:4.6.0),
  libvlc-dev (>= 1.1.0)
 Standards-Version: 3.9.0
 Homepage: http://gitorious.org/phonon/phonon-vlc
@@ -13,7 +14,7 @@
 
 Package: phonon-backend-vlc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, vlc-nox
+Depends: ${shlibs:Depends}, ${misc:Depends}, vlc
 Provides: phonon-backend
 Description: Phonon VLC backend
  Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction

## phonon-backend-vlc 0.4.1

=== debian/changelog ===
phonon-backend-vlc (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Mon, 01 Aug 2011 20:05:48 +0300

phonon-backend-vlc (0.4.0-2) unstable; urgency=low

  * Replace $(overriden_command) with $(overridden_command) in debian/rules.
    Requires pkg-kde-tools 0.12. (Closes: #634594)

 -- Modestas Vainius <modax@debian.org>  Tue, 19 Jul 2011 13:26:42 +0300

phonon-backend-vlc (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Tue, 26 Apr 2011 22:40:50 +0300

phonon-backend-vlc (0.3.2-3) unstable; urgency=low

  * Port to dhmk based qt-kde-team/2/*, require pkg-kde-tools 0.11.
  * Drop ${shlibs:Depends} from phonon-backend-gstreamer-dbg Depends, not
    needed.
  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Fri, 11 Mar 2011 22:16:49 +0200

phonon-backend-vlc (0.3.2-2) experimental; urgency=low

  * Require phonon 4:4.6.0really4.4.4. (Closes: #616534)

 -- Modestas Vainius <modax@debian.org>  Sat, 05 Mar 2011 12:39:04 +0200

phonon-backend-vlc (0.3.2-1) experimental; urgency=low

  * New upstream release.
  * Drop disable_usr_lib_install_rpath.diff patch, no longer needed.
  * Pass -DPLUGIN_INSTALL_DIR=/usr/lib/qt4/ to cmake in order to install
    the backend to non-kde specific plugin directory.
  * Do not use debhelper kde build system, this is not KDE package.
  * Build-Depend on libx11-dev.
  * Add vlc package to phonon-backend-vlc Recommends. It's needed for video
    output.

 -- Modestas Vainius <modax@debian.org>  Sat, 05 Mar 2011 03:46:37 +0200

phonon-backend-vlc (0.3.1-3) experimental; urgency=low

  * Merge 0.2.0-2.

 -- Modestas Vainius <modax@debian.org>  Thu, 06 Jan 2011 17:41:43 +0200

phonon-backend-vlc (0.3.1-2) experimental; urgency=low

  [ Modestas Vainius ]
  * Build-Depend on libv4l-dev on linux arches to enable support for listing
    V4L devices.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 18 Dec 2010 19:44:52 +0200

phonon-backend-vlc (0.3.1-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.1: no changes needed.
  * Update Vcs-* fields in debian/control.
  * Require libvlc-dev 1.1.1.
  * Require libphonon-dev 4.4.3 to enable all backend features.
  * Add disable_usr_lib_install_rpath.diff patch to disable /usr/lib RPATH.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 08 Dec 2010 01:20:01 +0200

=== debian/control ===
Source: phonon-backend-vlc
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.12), automoc,
 pkg-config, libphonon-dev (>= 4:4.6.0really4.4.4), libqt4-dev (>= 4:4.6.0),
 libvlc-dev (>= 1.1.1), libv4l-dev [linux-any], libx11-dev
Standards-Version: 3.9.2
Homepage: http://gitorious.org/phonon/phonon-vlc
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/phonon-backend-vlc.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/phonon-backend-vlc.git;a=summary

Package: phonon-backend-vlc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vlc-nox
Recommends: vlc
Provides: phonon-backend
Description: Phonon VLC backend
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains VLC backend for Phonon.

Package: phonon-backend-vlc-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}, phonon-backend-vlc (= ${binary:Version})
Description: Phonon VLC backend debugging symbols
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the debugging symbols for the VLC Phonon backend.

## phonon-backend-vlc 0.5.0

=== debian/changelog ===
phonon-backend-vlc (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Require phonon 4.6.0 to build.
  * Build-depend on libphononexperimental-dev.

 -- Modestas Vainius <modax@debian.org>  Sun, 19 Feb 2012 18:58:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.12), automoc,
- pkg-config, libphonon-dev (>= 4:4.6.0really4.4.4), libqt4-dev (>= 4:4.6.0),
- libvlc-dev (>= 1.1.1), libv4l-dev [linux-any], libx11-dev
+ pkg-config, libphonon-dev (>= 4:4.6.0.0), libphononexperimental-dev (>= 4:4.6.0.0),
+ libqt4-dev (>= 4:4.6.0), libvlc-dev (>= 1.1.1), libv4l-dev [linux-any], libx11-dev
 Standards-Version: 3.9.2
 Homepage: http://gitorious.org/phonon/phonon-vlc
 Vcs-Git: git://git.debian.org/pkg-kde/kde-std/phonon-backend-vlc.git

## phonon-backend-vlc 0.6.0

=== CMakeLists.txt ===
project(PhononVLC)

cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

# Phonon
find_package(Phonon REQUIRED)
if(PHONON_PULSESUPPORT)
  add_definitions(-DPHONON_PULSESUPPORT)
endif(PHONON_PULSESUPPORT)
if(PHONON_FOUND_EXPERIMENTAL)
  add_definitions(-DPHONON_EXPERIMENTAL)
else(PHONON_FOUND_EXPERIMENTAL)
  add_definitions(-DPHONON_VLC_NO_EXPERIMENTAL)
endif(PHONON_FOUND_EXPERIMENTAL)

# libVLC
set(LIBVLC_MIN_VERSION "2.0.1")
find_package(LIBVLC REQUIRED)

add_definitions(${QT_DEFINITIONS})

include_directories(${PHONON_INCLUDES} ${QT_INCLUDES} ${LIBVLC_INCLUDE_DIR} ${LIBVLC_INCLUDE_DIR}/vlc/plugins)

set(PHONON_VLC_MAJOR_VERSION "0")
set(PHONON_VLC_MINOR_VERSION "6")
set(PHONON_VLC_PATCH_VERSION "0")
set(PHONON_VLC_VERSION "${PHONON_VLC_MAJOR_VERSION}.${PHONON_VLC_MINOR_VERSION}.${PHONON_VLC_PATCH_VERSION}")
add_definitions(-DPHONON_VLC_VERSION="${PHONON_VLC_VERSION}")

add_subdirectory(src)

add_custom_command(
    OUTPUT ${CMAKE_BINARY_DIR}/phonon-backend-vlc-${PHONON_VLC_VERSION}.tar.xz
    COMMAND
        git archive --prefix=phonon-backend-vlc-${PHONON_VLC_VERSION}/ HEAD | xz -9 > ${CMAKE_BINARY_DIR}/phonon-backend-vlc-${PHONON_VLC_VERSION}.tar.xz
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

add_custom_target(
    dist
    DEPENDS ${CMAKE_BINARY_DIR}/phonon-backend-vlc-${PHONON_VLC_VERSION}.tar.xz
)

=== debian/changelog ===
phonon-backend-vlc (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Sat, 18 Aug 2012 11:50:01 +0300

phonon-backend-vlc (0.5.0+14.g382da0d-2) unstable; urgency=low

  * Upload to unstable.

 -- Modestas Vainius <modax@debian.org>  Fri, 29 Jun 2012 00:33:09 +0300

phonon-backend-vlc (0.5.0+14.g382da0d-1) experimental; urgency=low

  * New upstream snapshot from 0.5 branch (2012-06-18 03:38 am):
    - fixes a problem with volume going up to 100% upon resume. It only
      affected PulseAudio users. (Closes: #662103)
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Add debian/watch file.

 -- Modestas Vainius <modax@debian.org>  Thu, 28 Jun 2012 02:30:31 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.12), automoc,
  pkg-config, libphonon-dev (>= 4:4.6.0.0), libphononexperimental-dev (>= 4:4.6.0.0),
  libqt4-dev (>= 4:4.6.0), libvlc-dev (>= 1.1.1), libv4l-dev [linux-any], libx11-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://gitorious.org/phonon/phonon-vlc
 Vcs-Git: git://git.debian.org/pkg-kde/kde-std/phonon-backend-vlc.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/phonon-backend-vlc.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DPLUGIN_INSTALL_DIR=/usr/lib/qt4/

override_dh_strip:
	$(overridden_command) --dbg-package=phonon-backend-vlc-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/phonon/phonon-backend-vlc/([\d\.]*)/src/phonon-backend-vlc-([\d\.]*).tar.xz

## phonon-backend-vlc 0.6.2

=== debian/changelog ===
phonon-backend-vlc (0.6.2-1) experimental; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Wed, 13 Feb 2013 21:20:05 +0200

phonon-backend-vlc (0.6.1-1) experimental; urgency=low

  * New upstream release.
  * Require libvlc 2.0.1, needed by upstream.
  * update to the new Homepage URL (Closes: #689255)
  * Bump Standards-Version to 3.9.4: no changes needed.
  * Add explicit build dependency on libvlccore-dev since as of vlc 2.0.5,
    libvlc-dev no longer depends on it.

 -- Modestas Vainius <modax@debian.org>  Sun, 27 Jan 2013 19:24:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.12), automoc,
  pkg-config, libphonon-dev (>= 4:4.6.0.0), libphononexperimental-dev (>= 4:4.6.0.0),
- libqt4-dev (>= 4:4.6.0), libvlc-dev (>= 1.1.1), libv4l-dev [linux-any], libx11-dev
-Standards-Version: 3.9.3
-Homepage: http://gitorious.org/phonon/phonon-vlc
+ libqt4-dev (>= 4:4.6.0), libvlc-dev (>= 2.0.1), libvlccore-dev (>= 2.0.1),
+ libv4l-dev [linux-any], libx11-dev
+Standards-Version: 3.9.4
+Homepage: https://projects.kde.org/projects/kdesupport/phonon/phonon-vlc
 Vcs-Git: git://git.debian.org/pkg-kde/kde-std/phonon-backend-vlc.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/phonon-backend-vlc.git;a=summary

## phonon-backend-vlc 0.7.1

=== CMakeLists.txt ===
project(PhononVLC)

cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# Phonon
find_package(Phonon REQUIRED)
macro_ensure_version("4.7.0" ${PHONON_VERSION} PHONON_FOUND)
macro_log_feature(PHONON_FOUND "Phonon" "Core Library" "git://anongit.kde.org/phonon.git" TRUE "4.7.0")

# LibVLC
find_package(LIBVLC REQUIRED)
macro_ensure_version("2.0.1" ${LIBVLC_VERSION} LIBVLC_FOUND)
macro_log_feature(LIBVLC_FOUND "LibVLC" "VLC C API Library" "git://git.videolan.org/vlc.git" TRUE "2.0.1")

if(PHONON_FOUND_EXPERIMENTAL)
  add_definitions(-DPHONON_EXPERIMENTAL)
else(PHONON_FOUND_EXPERIMENTAL)
  add_definitions(-DPHONON_VLC_NO_EXPERIMENTAL)
endif(PHONON_FOUND_EXPERIMENTAL)

add_definitions(${QT_DEFINITIONS})

include_directories(${PHONON_INCLUDES} ${QT_INCLUDES} ${LIBVLC_INCLUDE_DIR} ${LIBVLC_INCLUDE_DIR}/vlc/plugins)

set(PHONON_VLC_MAJOR_VERSION "0")
set(PHONON_VLC_MINOR_VERSION "7")
set(PHONON_VLC_PATCH_VERSION "1")
set(PHONON_VLC_VERSION "${PHONON_VLC_MAJOR_VERSION}.${PHONON_VLC_MINOR_VERSION}.${PHONON_VLC_PATCH_VERSION}")
add_definitions(-DPHONON_VLC_VERSION="${PHONON_VLC_VERSION}")

# PVLC only uses static mimetype lists, they are created by cmake, hooray.
include(MimeTypes.cmake)

add_subdirectory(src)

macro_display_feature_log()

=== src/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

add_definitions(-DPHONON_LIB_INSTALL_DIR="${LIB_INSTALL_DIR}")

if (MSVC OR (WIN32 AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))
    set (CMAKE_MODULE_PATH ${CMAKE_INSTALL_PREFIX}/share/apps/cmake/modules)
    find_package(KDEWin)
        if (KDEWIN_FOUND)
            include_directories(${KDEWIN_INCLUDES}/msvc)
            link_libraries(${KDEWIN_LIBRARIES})
        else (KDEWIN_FOUND)
            include(CheckIncludeFileCXX)
            check_include_file_cxx(inttypes.h HAVE_INTTYPES)
            check_include_file_cxx(stdint.h   HAVE_STDINT)
            if ( NOT HAVE_STDINT AND NOT HAVE_INTTYPES )
                message (FATAL_ERROR "You don't have stdint.h and inttypes.h\n\t get them from  http://code.google.com/p/baseutils/source/browse/#svn/trunk/msvc,\n\t or get kdewin http://websvn.kde.org/trunk/kdesupport/kdewin/")
            endif ( NOT HAVE_STDINT AND NOT HAVE_INTTYPES )
        endif (KDEWIN_FOUND)
endif (MSVC OR (WIN32 AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))

if(${PHONON_VERSION} VERSION_GREATER "4.6.49") # Pre-release 4.7 starts at 4.6.50
    message(STATUS "Building against Phonon 4.7 API")
    set(BACKEND_VERSION_DEFINE -DPHONON_BACKEND_VERSION_4_7)
elseif(${PHONON_VERSION} VERSION_GREATER "4.1.99")
    message(STATUS "Building against Phonon 4.2 API")
    set(BACKEND_VERSION_DEFINE -DPHONON_BACKEND_VERSION_4_2)
else()
    message(STATUS "Building against Phonon 4.0 API")
    set(BACKEND_VERSION_DEFINE)
endif()

add_definitions(${BACKEND_VERSION_DEFINE})
set(AUTOMOC_MOC_OPTIONS ${BACKEND_VERSION_DEFINE})

set(phonon_vlc_SRCS
    audio/audiooutput.cpp
    audio/audiodataoutput.cpp
    audio/volumefadereffect.cpp
    backend.cpp
    devicemanager.cpp
    effect.cpp
    effectmanager.cpp
    media.cpp
    mediacontroller.cpp
    mediaobject.cpp
    mediaplayer.cpp
    sinknode.cpp
    streamreader.cpp
#    video/videodataoutput.cpp
    video/videowidget.cpp
    video/videomemorystream.cpp
    utils/debug.cpp
    utils/libvlc.cpp
)

if(${LIBVLC_VERSION} VERSION_GREATER "2.2.0" OR ${LIBVLC_VERSION} VERSION_EQUAL "2.2.0")
    list(APPEND phonon_vlc_SRCS equalizereffect.cpp)
endif()

if(NOT PHONON_NO_GRAPHICSVIEW)
    list(APPEND phonon_vlc_SRCS video/videographicsobject.cpp)
else()
    add_definitions(-DPHONON_NO_GRAPHICSVIEW)
endif()

if(PHONON_FOUND_EXPERIMENTAL)
    add_definitions(-DPHONON_EXPERIMENTAL)
    list(APPEND phonon_vlc_SRCS video/videodataoutput.cpp)
endif(PHONON_FOUND_EXPERIMENTAL)

if(APPLE)
    list(APPEND phonon_vlc_SRCS
        video/mac/nsvideoview.mm
        video/mac/vlcmacwidget.mm)
endif(APPLE)

automoc4_add_library(phonon_vlc MODULE ${phonon_vlc_SRCS})
qt5_use_modules(phonon_vlc Core Widgets)

set_target_properties(phonon_vlc PROPERTIES
    PREFIX ""
    AUTOMOC_MOC_OPTIONS ${AUTOMOC_MOC_OPTIONS}
)
target_link_libraries(phonon_vlc
    ${PHONON_LIBRARY}
    ${LIBVLCCORE_LIBRARY}
    ${LIBVLC_LIBRARY}
)

install(TARGETS phonon_vlc DESTINATION ${BACKEND_INSTALL_DIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/utils/mime.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/utils/mime.h @ONLY)

if(PHONON_BUILD_PHONON4QT5)
    # Instead of desktop files we are embedding the information into the plugin itself.
    # We have no KDE technology to help with finding the actual libraries anyway, so
    # we need to have the library path anyway.
    # Also see qtplugin/Q_PLUGIN_METADATA documentation.
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/phonon-vlc.json.in
                   ${CMAKE_CURRENT_BINARY_DIR}/phonon-vlc.json @ONLY)
else()
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/vlc.desktop.cmake
                   ${CMAKE_CURRENT_BINARY_DIR}/vlc.desktop @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/vlc.desktop
            DESTINATION ${SERVICES_INSTALL_DIR}/phononbackends)
endif()

=== debian/changelog ===
phonon-backend-vlc (0.7.1-1ubuntu3) trusty; urgency=medium

  * No change rebuild against libqt5core5a.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 14 Mar 2014 11:30:58 +0000

phonon-backend-vlc (0.7.1-1ubuntu2) trusty; urgency=low

  * Add missing build-dep on libphonon4qt5-dev,
    libphonon4qt5experimental-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Dec 2013 12:09:54 +0000

phonon-backend-vlc (0.7.1-1ubuntu1) trusty; urgency=low

  * Sync with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Dec 2013 13:36:07 +0000

phonon-backend-vlc (0.7.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
    - Ensure that PulseAudio environment is set up when running older
      backends (Closes: #730131).
  * Bump build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 09 Dec 2013 16:39:27 -0300

phonon-backend-vlc (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Team upload.

  [ Pino Toscano ]
  * Bump the debhelper compatibility to 9:
    - bump compat to 9
    - bump the debhelper build dependency to >= 9
  * Update Vcs-* headers.
  * Fix watch file.
  * Convert to multiarch:
    - install the plugin in a multiarch location
    - mark all the packages as Multi-Arch: same
    - add ${misc:Pre-Depends} in phonon-backend-vlc

  [ Modestas Vainius ]
  * Require phonon 4.7.0(.0).
  * Bump Standards-Version to 3.9.5: no further changes needed.

 -- Modestas Vainius <modax@debian.org>  Tue, 05 Nov 2013 13:11:51 +0200

phonon-backend-vlc (0.6.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Modestas Vainius <modax@debian.org>  Tue, 28 May 2013 22:48:19 +0300

=== debian/control ===
Source: phonon-backend-vlc
Section: sound
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.12), automoc,
 pkg-config, libphonon-dev (>= 4:4.7.1~), libphononexperimental-dev (>= 4:4.7.1~),
 libphonon4qt5-dev, libphonon4qt5experimental-dev,
 libqt4-dev (>= 4:4.6.0), libvlc-dev (>= 2.0.1), libvlccore-dev (>= 2.0.1),
 libv4l-dev [linux-any], libx11-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/kdesupport/phonon/phonon-vlc
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/phonon-backend-vlc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/phonon-backend-vlc.git;a=summary

Package: phonon-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, vlc-nox
Recommends: vlc
Provides: phonon-backend
Description: Phonon VLC backend
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains VLC backend for Phonon.

Package: phonon4qt5-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, vlc-nox
Recommends: vlc
Provides: phonon4qt5-backend
Description: Phonon4Qt5 VLC backend
 Phonon is the KF5 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains VLC backend for Phonon4Qt5.

Package: phonon-backend-vlc-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends: ${misc:Depends}, phonon-backend-vlc (= ${binary:Version})
Suggests: phonon4qt5-backend-vlc (= ${binary:Version})
Description: Phonon VLC backend debugging symbols
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the debugging symbols for the VLC Phonon backend.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DPLUGIN_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/
	$(overridden_command) -Bbuild-phonon-qt5 -- -DPHONON_BUILD_PHONON4QT5=ON

override_dh_auto_build:
	$(overridden_command)
	cd build-phonon-qt5; $(overridden_command); cd ..

override_dh_auto_install:
	$(overridden_command)
	mkdir -p debian/tmp-phonon-qt5
	cd build-phonon-qt5; DESTDIR=$(CURDIR)/debian/tmp-phonon-qt5 make install; cd ..

	mkdir -p debian/phonon4qt5-backend-vlc/usr/lib/$(DEB_BUILD_MULTIARCH)/qt5/plugins/phonon4qt5_backend/
	cp -a debian/tmp-phonon-qt5/usr/lib/$(DEB_BUILD_MULTIARCH)/qt5/plugins/phonon4qt5_backend/phonon_vlc.so \
	      debian/phonon4qt5-backend-vlc/usr/lib/$(DEB_BUILD_MULTIARCH)/qt5/plugins/phonon4qt5_backend/phonon_vlc.so

override_dh_auto_clean:
	$(overridden_command)
	rm -rf build-phonon-qt5 debian/tmp-phonon-qt5

override_dh_strip:
	$(overridden_command) --dbg-package=phonon-backend-vlc-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/phonon/phonon-backend-vlc/([\d\.]*)/phonon-backend-vlc-([\d\.]*).tar.xz

## phonon-backend-vlc 0.7.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 set(PHONON_VLC_MAJOR_VERSION "0")
 set(PHONON_VLC_MINOR_VERSION "7")
-set(PHONON_VLC_PATCH_VERSION "1")
+set(PHONON_VLC_PATCH_VERSION "80")
 set(PHONON_VLC_VERSION "${PHONON_VLC_MAJOR_VERSION}.${PHONON_VLC_MINOR_VERSION}.${PHONON_VLC_PATCH_VERSION}")
 add_definitions(-DPHONON_VLC_VERSION="${PHONON_VLC_VERSION}")

=== debian/changelog ===
phonon-backend-vlc (0.7.80-0ubuntu1~ubuntu14.04) trusty; urgency=medium

  * Trusty SRU, upstream consides this a bugfix release which solves
    known problems and requests it be updated LP: #1358312

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Aug 2014 14:13:59 +0000

phonon-backend-vlc (0.7.80-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Aug 2014 14:49:56 +0200

phonon-backend-vlc (0.7.2-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jul 2014 12:43:09 +0200

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/phonon/phonon-backend-vlc/([\d\.]*)/phonon-backend-vlc-([\d\.]*).tar.xz
ftp://ftp.kde.org/pub/kde/unstable/phonon/phonon-backend-vlc/([\d\.]*)/phonon-backend-vlc-([\d\.]*).tar.xz

## phonon-backend-vlc 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,8 +24,8 @@
 include_directories(${PHONON_INCLUDES} ${QT_INCLUDES} ${LIBVLC_INCLUDE_DIR} ${LIBVLC_INCLUDE_DIR}/vlc/plugins)
 
 set(PHONON_VLC_MAJOR_VERSION "0")
-set(PHONON_VLC_MINOR_VERSION "7")
-set(PHONON_VLC_PATCH_VERSION "80")
+set(PHONON_VLC_MINOR_VERSION "8")
+set(PHONON_VLC_PATCH_VERSION "0")
 set(PHONON_VLC_VERSION "${PHONON_VLC_MAJOR_VERSION}.${PHONON_VLC_MINOR_VERSION}.${PHONON_VLC_PATCH_VERSION}")
 add_definitions(-DPHONON_VLC_VERSION="${PHONON_VLC_VERSION}")

=== debian/changelog ===
phonon-backend-vlc (0.8.0-2) unstable; urgency=medium

  * Build Phonon Qt5 backend as well as the Qt4 backend.
  * Add myself to uploaders.

 -- Diane Trout <diane@ghic.org>  Sat, 13 Sep 2014 16:34:19 -0700

phonon-backend-vlc (0.8.0-1) unstable; urgency=medium

  * Team upload.

  * New upstream release (0.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Sep 2014 17:51:02 +0200

phonon-backend-vlc (0.7.2-1) unstable; urgency=medium

  [ Sune Vuorela ]
  * Add vlc-plugin-pulse to Depends. It ensures that audio works out of the
    box for pulse-audio users and has no disadvantages for users that doesn't
    use pulse-audio. (Closes: #689805)

  [ Maximiliano Curia ]
  * Update watch file.
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 22 Jul 2014 09:24:29 +0200

=== debian/control ===
Source: phonon-backend-vlc
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>,
  Diane Trout <diane@ghic.org>
Build-Depends: automoc,
               cmake,
               debhelper (>= 9),
               libphonon-dev (>= 4:4.8.0~),
               libphononexperimental-dev (>= 4:4.8.0~),
               libphonon4qt5-dev (>= 4:4.8.0~),
               libphonon4qt5experimental-dev (>= 4:4.8.0~),
               libqt4-dev (>= 4:4.6.0),
               qtbase5-dev,
               libv4l-dev [linux-any],
               libvlc-dev (>= 2.0.1),
               libvlccore-dev (>= 2.0.1),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/kdesupport/phonon/phonon-vlc
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/phonon-backend-vlc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/phonon-backend-vlc.git;a=summary

Package: phonon-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: vlc-nox, vlc-plugin-pulse, ${misc:Depends}, ${shlibs:Depends}
Recommends: vlc
Provides: phonon-backend
Description: Phonon VLC backend
 Phonon is the Qt 4 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Phonon.

Package: phonon4qt5-backend-vlc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: vlc-nox, vlc-plugin-pulse, ${shlibs:Depends}, ${misc:Depends}
Recommends: vlc
Provides: phonon4qt5-backend
Description: Phonon4Qt5 VLC backend
 Phonon is the KF5 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains VLC backend for Phonon4Qt5.

Package: phonon-backend-vlc-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends: phonon-backend-vlc (= ${binary:Version}), ${misc:Depends}
Description: Phonon VLC backend debugging symbols
 Phonon is the Qt 4 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains the debugging symbols for the VLC Phonon backend.

Package: phonon4qt5-backend-vlc-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends: phonon4qt5-backend-vlc (= ${binary:Version}), ${misc:Depends}
Description: Phonon4Qt5 VLC backend debugging symbols
 Phonon4Qt5 is the KF 5 multimedia API, which provides a task-oriented
 abstraction layer for capturing, mixing, processing, and playing audio
 and video content.
 .
 This package contains the debugging symbols for the VLC Phonon4Qt5 backend.

## phonon-backend-vlc 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 set(PHONON_VLC_MAJOR_VERSION "0")
 set(PHONON_VLC_MINOR_VERSION "8")
-set(PHONON_VLC_PATCH_VERSION "0")
+set(PHONON_VLC_PATCH_VERSION "2")
 set(PHONON_VLC_VERSION "${PHONON_VLC_MAJOR_VERSION}.${PHONON_VLC_MINOR_VERSION}.${PHONON_VLC_PATCH_VERSION}")
 add_definitions(-DPHONON_VLC_VERSION="${PHONON_VLC_VERSION}")

=== debian/changelog ===
phonon-backend-vlc (0.8.2-1ubuntu3) xenial; urgency=medium

  * BD on extra-cmake-modules, which is now used to find compiler flags.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 13 Nov 2015 14:04:18 +0000

phonon-backend-vlc (0.8.2-1ubuntu2) xenial; urgency=medium

  * Remove dependency on transitional package "vlc-plugin-pulse".
    - The pulseaudio output functionality is now integrated into
      the core "vlc" package, so depending on that is adequate.

 -- Michael Marley <michael@michaelmarley.com>  Fri, 30 Oct 2015 06:35:48 -0400

phonon-backend-vlc (0.8.2-1ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Mikhail Ivchenko <ematirov@gmail.com>  Fri, 12 Dec 2014 16:15:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: phonon-backend-vlc
 Section: sound
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>,
   Diane Trout <diane@ghic.org>
 Build-Depends: automoc,
                cmake,
                debhelper (>= 9),
+               extra-cmake-modules (>= 5.7),
                libphonon-dev (>= 4:4.8.0~),
                libphononexperimental-dev (>= 4:4.8.0~),
                libphonon4qt5-dev (>= 4:4.8.0~),
@@ -28,7 +29,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: vlc-nox, vlc-plugin-pulse, ${misc:Depends}, ${shlibs:Depends}
+Depends: vlc-nox, ${misc:Depends}, ${shlibs:Depends}
 Recommends: vlc
 Provides: phonon-backend
 Description: Phonon VLC backend
@@ -42,7 +43,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: vlc-nox, vlc-plugin-pulse, ${shlibs:Depends}, ${misc:Depends}
+Depends: vlc-nox, ${shlibs:Depends}, ${misc:Depends}
 Recommends: vlc
 Provides: phonon4qt5-backend
 Description: Phonon4Qt5 VLC backend

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DPLUGIN_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/
	$(overridden_command) -Bobj-qt5 -- \
	                      -DPHONON_BUILD_PHONON4QT5=ON \
	                      -DPLUGIN_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/

override_dh_auto_build:
	$(overridden_command)
	$(overridden_command) -Bobj-qt5

override_dh_auto_install:
	$(overridden_command)
	$(overridden_command) -Bobj-qt5

override_dh_auto_clean:
	$(overridden_command)
	$(overridden_command) -Bobj-qt5

override_dh_strip:
	$(overridden_command) -pphonon-backend-vlc --dbg-package=phonon-backend-vlc-dbg
	$(overridden_command) -pphonon4qt5-backend-vlc --dbg-package=phonon4qt5-backend-vlc-dbg
